<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 04/08/2014 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die ;
error_reporting(E_ALL & ~E_NOTICE);
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_sly_k2_content/assets/css/style.css');


$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_id 					= "mod_".$module->id;
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.10.2');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_base				= (int)$params->get('ext_load_base', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_height					= (int)$params->get('ext_height', 200);
$ext_item_width				= (int)$params->get('ext_item_width', 200);
$scrollbar_poss				= $params->get('scrollbar_poss', 'top');
$ext_controls_btn			= (int)$params->get('ext_controls_btn', 0);
$sly_css3_effects			= (int)$params->get('sly_css3_effects', 1);





	
// Load jQuery
//---------------------------------------------------------------------

$ext_script = <<<SCRIPT


var jSkyImg = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jSkyImg) {
			jSkyImg = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 500);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();    
  
  
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_sly_k2_content/assets/js/jquery.easing.1.3.js"></script>'); 
}
if ($ext_load_base  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_sly_k2_content/assets/js/sly.min.js"></script>'); 	
}


// K2
//------------------------------------------------------------------------

if (K2_JVERSION != '15')
{
    $language = JFactory::getLanguage();
    $language->load('mod_k2.j16', JPATH_ADMINISTRATOR, null, true);
}
require_once (dirname(__FILE__).DS.'helper.php');

// Get component params
$componentParams = JComponentHelper::getParams('com_k2');

$items = modK2SLYContentHelper::getItems($params);
if (count($items)){
	require JModuleHelper::getLayoutPath('mod_ext_sly_k2_content', $params->get('layout', 'default'));
	echo JText::_(COP_JOOMLA);
}